﻿create view vVorgangStatistik AS 
SELECT        buchvorgang.Nummer, buchvorgang.Typ, buchvorgang.KundNr, buchvorgang.Datum, buchvorgang.Notiz, buchvorgang.NotizIntern, buchvorgang.NotizExtern, grartikel.ArtNr, grartikel.EAN, grartikel.Bezeichnung, 
                         `grartikel-kategorien`.ArtKatNr, `grartikel-kategorien`.Name AS Kategorie, YEAR(buchvorgang.Datum) AS JahrUmsatz, MONTH(buchvorgang.Datum) AS MonatUmsatz, DATE_FORMAT(buchvorgang.Datum, 
                         '%d.%m.%Y') AS DatumUmsatz, ofadressen.Firma AS Kunde, buchvorgang.Bezahlt, buchvorgang.Ausgedruckt, buchvorgang.Abgeschlossen, `buchvorgang-artikel`.Stk, `buchvorgang-artikel`.EKPreis, 
                         `buchvorgang-artikel`.Preis_Netto, `buchvorgang-artikel`.EKPreis * `buchvorgang-artikel`.Stk AS Einsatz, `buchvorgang-artikel`.Preis_Netto * `buchvorgang-artikel`.Stk AS Umsatz, 
                         `buchvorgang-artikel`.Preis_Netto * `buchvorgang-artikel`.Stk - `buchvorgang-artikel`.EKPreis * `buchvorgang-artikel`.Stk AS Gewinn, `buchvorgang-artikel`.Preis_Brutto * `buchvorgang-artikel`.Stk AS Preis_Brutto, 
                         `buchvorgang-artikel`.MWST * `buchvorgang-artikel`.Stk AS MWST, `ofadressen-settings`.Kundengruppe, buchvorgang.MitarbeiterNr, ofadressen.PLZ, ofadressen.Land, ofadressen.Ort, 
                         buchvorgang.ZahlungsMethode, buchvorgang.TransportsMethode, grartikel.MWST AS MWSTGroup, grartikel.Differenzbesteuerung, buchvorgang.System, ofmitarbeiter.Name AS MitarbeiterName, buchvorgang.MandantNr
FROM            buchvorgang INNER JOIN
                         `buchvorgang-artikel` ON buchvorgang.Nummer = `buchvorgang-artikel`.Nummer AND buchvorgang.Typ = `buchvorgang-artikel`.Typ INNER JOIN
                         grartikel ON `buchvorgang-artikel`.ArtNr = grartikel.ArtNr INNER JOIN
                         `grartikel-kategorien` ON grartikel.ArtKatNr = `grartikel-kategorien`.ArtKatNr INNER JOIN
                         ofadressen ON buchvorgang.KundNr = ofadressen.IDNR LEFT OUTER JOIN
                         ofmitarbeiter ON buchvorgang.MitarbeiterNr = ofmitarbeiter.IDNR LEFT OUTER JOIN
                         `ofadressen-settings` ON ofadressen.IDNR = `ofadressen-settings`.IDNR