﻿drop view vvorgangstatistik; 


create VIEW vVorgangStatistik AS 
SELECT        v.Nummer, v.Typ, v.KundNr, v.Datum, v.Notiz, v.NotizIntern, v.NotizExtern, a.ArtNr, a.EAN, a.Bezeichnung, k.ArtKatNr, k.Name AS Kategorie, YEAR(v.Datum) AS JahrUmsatz, MONTH(v.Datum) AS MonatUmsatz, 
                         DATE_FORMAT(v.Datum, '%d.%m.%Y') AS DatumUmsatz, adr.Firma AS Kunde, v.Bezahlt, v.Ausgedruckt, v.Abgeschlossen, va.Stk, va.EKPreis, va.Preis_Netto, va.EKPreis * va.Stk AS Einsatz, va.Preis_Netto * va.Stk AS Umsatz, 
                         va.Preis_Netto * va.Stk - va.EKPreis * va.Stk AS Gewinn, va.Preis_Brutto * va.Stk AS Preis_Brutto, va.MWST * va.Stk AS MWST, adrs.Kundengruppe, v.MitarbeiterNr, adr.PLZ, adr.Land, adr.Ort, v.ZahlungsMethode, 
                         v.TransportMethode, va.MWSTSatz AS MWSTGroup, a.Differenzbesteuerung, v.System, m.Name AS MitarbeiterName, v.MandantNr, IFNULL(adrLiefer.Land, adr.Land) AS Lieferland
FROM            buchvorgang v INNER JOIN
                         `buchvorgang-artikel` va ON v.Nummer = va.Nummer AND v.Typ = va.Typ LEFT OUTER JOIN
                         `ofadressen-weitere` adrLiefer ON v.KundNr2 = adrLiefer.ID LEFT OUTER JOIN
                         ofadressen adr ON v.KundNr = adr.IDNR LEFT OUTER JOIN
                         grartikel a ON va.ArtNr = a.ArtNr LEFT OUTER JOIN
                         `grartikel-kategorien` k ON a.ArtKatNr = k.ArtKatNr LEFT OUTER JOIN
                         ofmitarbeiter m ON v.MitarbeiterNr = m.IDNR LEFT OUTER JOIN
                         `ofadressen-settings` adrs ON adr.IDNR = adrs.IDNR